package cn.iocoder.yudao.module.order.convert.orderTime;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderTime.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderTime.OrderTimeDO;

/**
 * 下单时间轴事件 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderTimeConvert {
    /*****转换MapStruct*****/
    OrderTimeConvert INSTANCE = Mappers.getMapper(OrderTimeConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderTimeDO convert(OrderTimeCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderTimeDO convert(OrderTimeUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderTimeBackVO convert(OrderTimeDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderTimeBackVO> convertList(List<OrderTimeDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderTimeBackVO> convertPage(PageResult<OrderTimeDO> page);
}
